summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2017-12-31 11:48:10 +0100
committerDavid Seifert <soap@gentoo.org>2017-12-31 12:14:13 +0100
commit35d66aa45c16bdc3a500cc272b648f5eb3b089ce (patch)
tree90dfe1da5a0fb52f05aa84ec26d415bfcf2d7b95 /app-i18n
parentapp-i18n/scim-hangul: Remove old (diff)
downloadgentoo-35d66aa45c16bdc3a500cc272b648f5eb3b089ce.tar.gz
gentoo-35d66aa45c16bdc3a500cc272b648f5eb3b089ce.tar.bz2
gentoo-35d66aa45c16bdc3a500cc272b648f5eb3b089ce.zip
app-i18n/scim-sayura: Port to EAPI 6
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'app-i18n')
-rw-r--r--app-i18n/scim-sayura/files/scim-sayura-0.3.3-gcc45.patch4
-rw-r--r--app-i18n/scim-sayura/scim-sayura-0.3.3.ebuild20
2 files changed, 13 insertions, 11 deletions
diff --git a/app-i18n/scim-sayura/files/scim-sayura-0.3.3-gcc45.patch b/app-i18n/scim-sayura/files/scim-sayura-0.3.3-gcc45.patch
index 64ee8741601..d80f654b6f6 100644
--- a/app-i18n/scim-sayura/files/scim-sayura-0.3.3-gcc45.patch
+++ b/app-i18n/scim-sayura/files/scim-sayura-0.3.3-gcc45.patch
@@ -2,8 +2,8 @@ Fixing build with gcc 4.5
http://bugs.gentoo.org/show_bug.cgi?id=320879
---- src/scim_sinhala_imengine.cpp
-+++ src/scim_sinhala_imengine.cpp
+--- a/src/scim_sinhala_imengine.cpp
++++ b/src/scim_sinhala_imengine.cpp
@@ -233,7 +233,7 @@
void SinhalaInstance::backspace()
diff --git a/app-i18n/scim-sayura/scim-sayura-0.3.3.ebuild b/app-i18n/scim-sayura/scim-sayura-0.3.3.ebuild
index 77044b6d632..f04f5993a8e 100644
--- a/app-i18n/scim-sayura/scim-sayura-0.3.3.ebuild
+++ b/app-i18n/scim-sayura/scim-sayura-0.3.3.ebuild
@@ -1,9 +1,7 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="2"
-
-inherit eutils
+EAPI=6
DESCRIPTION="Sayura Sinhala input method for SCIM"
HOMEPAGE="http://www.sayura.net/im/"
@@ -18,14 +16,18 @@ RDEPEND=">=app-i18n/scim-0.99.8"
DEPEND="${RDEPEND}
virtual/pkgconfig"
-src_prepare() {
- epatch "${FILESDIR}"/scim-sayura-0.3.3-gcc45.patch
+PATCHES=( "${FILESDIR}"/scim-sayura-0.3.3-gcc45.patch )
+
+src_configure() {
+ econf --disable-static
}
src_install() {
- emake DESTDIR="${D}" install || die "emake install failed"
+ HTML_DOCS=( doc/{index.html,style.css} )
+ default
- dodoc AUTHORS ChangeLog NEWS README
- dohtml doc/index.html doc/style.css
use doc && dodoc doc/sayura.pdf
+
+ # plugin module, no point in .la files
+ find "${D}" -name '*.la' -delete || die
}